Inhalte

# Anweisung GoTo

Setzt die Programmausführung innerhalb einer Sub oder Function an der durch "label" gekennzeichneten Prozedurzeile fort.

## Syntax:

    GoTo label[:]

## Parameter:

label: Eine Zeilenkennung, die angibt, wo die Ausführung fortgesetzt werden soll. Der Geltungsbereich eines Labels ist jener der Routine, zu der es gehört.

Verwenden Sie die Anweisung GoTo, um LibreOffice Basic anzuweisen, die Programmausführung an einer anderen Stelle innerhalb der Prozedur fortzusetzen. Die Position muss durch ein Label gekennzeichnet sein. Um ein Label zu setzen, vergeben Sie einen Namen und schließen Sie ihn mit einem Doppelpunkt (":") ab.

Sie können die Anweisung GoTo nicht verwenden, um aus Sub oder Function zu springen.

## Beispiel:

        Sub/Function
           ' Befehlsblock
           GoTo Label1
        Label2:
           ' Befehlsblock
           Exit Sub/Function
        Label1:
           ' Befehlsblock
           GoTo Label2
        End Sub/Function

Verwandte Themen

Anweisung GoSub…Return

Anweisung On … GoSub; Anweisung On … GoTo

Bitte unterstützen Sie uns!